### File

`packages/eui-dynamic-forms-ui/src/lib/ux-dyn-injector/ux-dyn-injector.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ux-dyn-injector`
styleUrls | `./ux-dyn-injector.component.scss`
templateUrl | `./ux-dyn-injector.component.html`

### Index

###### Properties

- activeComponent
- dynMap

###### Methods

- addComponent
- removeComponent
- updateMetaDataIndex
- updateSetId

###### Inputs

- config
- metaDataIndex
- multiId
- parent
- parentData

### Constructor

`constructor(uxDynamicComponentService: UxDynamicComponentService, store: Store<any>, dynGenericService: DynGenericService, dynConfigService: DynConfigService, hostElement: ElementRef)`

Parameters :

Name | Type | Optional
uxDynamicComponentService | `UxDynamicComponentService` | No
store | `Store<any>` | No
dynGenericService | `DynGenericService` | No
dynConfigService | `DynConfigService` | No
hostElement | `ElementRef` | No

### Inputs

config
Type : `UxDynCoreRunTimeModel`

metaDataIndex
Type : `string`

multiId
Type : `string`

parent
Type : `FormGroup | FormArray`

parentData
Type : `UxDynFormArrayParentData`

### Methods

addComponent
`addComponent(component, hostElement, context, children, fieldId, setId, metaDataIndex)`

Parameters :

Name | Optional
component | No
hostElement | No
context | No
children | No
fieldId | No
setId | No
metaDataIndex | No

Returns : `void`

removeComponent
`removeComponent()`
Returns : `void`

updateMetaDataIndex
`updateMetaDataIndex(index)`

Parameters :

Name | Optional
index | No

Returns : `string`

updateSetId
`updateSetId(setId)`

Parameters :

Name | Optional
setId | No

Returns : `any`

### Properties

activeComponent
Type : `any`

dynMap
Type : `UxDynMappingConfig`

# result-matching ""

# No results matching ""